package com.fs.app.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class FsUserLoginParam implements Serializable {
    private String phone;

    private String password;

    @NotNull(message = "登录类型不能为空")
    private Integer loginType;//登录类型 1密码登录  2微信登录  3手机号一键登录

    private String code;
    private String uuid;

    private String jpushId;

    private String openId;

    private String loginDevice;
    private String source;
}
