package com.fs.app.websocket.constant;

import io.netty.util.AttributeKey;

public class AttrConstant {

    // 定义变量名
    public static final String LIVE_ID = "liveId";
    public static final String USER_ID = "userId";
    public static final String USER_TYPE = "userType";
    public static final String TIMESTAMP = "timestamp";
    public static final String SIGNATURE = "signature";

    // 定义 AttributeKey 保存必要参数
    public static final AttributeKey<Long> ATTR_LIVE_ID = AttributeKey.valueOf(LIVE_ID);
    public static final AttributeKey<Long> ATTR_USER_ID = AttributeKey.valueOf(USER_ID);
    public static final AttributeKey<Long> ATTR_USER_TYPE = AttributeKey.valueOf(USER_TYPE);
}
