package com.fs.app.websocket.constant;

import java.util.Random;

public class NickNameConstant {
    private static final String[] PREFIXES = {
            "酷炫", "梦幻", "闪电", "狂野", "神秘", "银河", "星辰", "烈焰",
            "冰霜", "雷霆", "疾风", "暗影", "光明", "虚空", "永恒", "混沌",
            "暴风", "月光", "太阳", "星际", "超能", "量子", "钢铁", "黄金",
            "钻石", "翡翠", "水晶", "火焰", "寒冰", "时空", "无敌", "战神",
            "魔法", "精灵", "巨龙", "天使", "恶魔", "幽灵", "忍者", "武士",
            "海盗", "猎人", "先知", "贤者", "圣光", "黑暗", "荣耀", "王者",
            "剑圣", "刀锋", "枪神", "箭雨", "符文", "元素", "能量", "脉冲",
            "辐射", "原子", "流星", "彗星", "宇宙", "维度", "次元", "终极",
            "幻影", "炽焰", "寒冰", "极光", "天罚", "神罚", "天启", "末日",
            "曙光", "黄昏", "深渊", "炼狱", "圣洁", "堕落", "不朽", "不灭",
            "虚空", "湮灭", "创世", "灭世", "天命", "宿命", "轮回", "涅槃",
            "玄冰", "赤焰", "青岚", "紫电", "金辉", "银翼", "黑曜", "白夜",
            "血月", "日蚀", "月蚀", "星陨", "天穹", "地核", "海啸", "山崩",
            "雷鸣", "电闪", "霜冻", "灼烧", "剧毒", "腐蚀", "净化", "重生",
            "天选", "神谕", "魔咒", "诅咒", "祝福", "厄难", "幸运", "天命",
            "狂怒", "静谧", "狂暴", "温柔", "疯狂", "理智", "混沌", "秩序",
            "真理", "谎言", "荣耀", "耻辱", "正义", "邪恶", "自由", "束缚",
            "新世纪","某科学的"
    };

    private static final String[] SUFFIXES = {
            "小王子", "骑士", "王者", "使者", "探险家", "守护者", "征服者", "领主",
            "皇帝", "霸主", "勇士", "战士", "剑客", "刀客", "枪手", "射手",
            "法师", "巫师", "术士", "牧师", "萨满", "德鲁伊", "游侠", "盗贼",
            "刺客", "忍者", "武僧", "格斗家", "拳王", "摔跤手", "冠军", "传奇",
            "英雄", "大侠", "剑圣", "刀神", "枪王", "箭神", "魔导师", "大法师",
            "先知", "贤者", "学者", "智者", "预言家", "观察者", "旅行者", "漫游者",
            "冒险家", "寻宝者", "考古家", "科学家", "工程师", "发明家", "创造者", "毁灭者",
            "终结者", "幸存者", "流亡者", "放逐者", "守望者", "保卫者", "执法者", "审判者",
            "救世主", "天选者", "命运之子", "时空旅人", "梦境行者", "虚空漫步者", "星界旅者", "深渊潜行者",
            "龙骑士", "凤凰使", "麒麟卫", "白虎将", "玄武使", "朱雀使", "青龙将", "饕餮王",
            "混沌之主", "秩序守护", "光明化身", "黑暗化身", "时间之主", "空间之主", "命运编织者", "因果操纵者",
            "元素领主", "能量掌控", "符文大师", "咒术宗师", "炼金术士", "机械大师", "数据黑客", "赛博行者",
            "星际海盗", "银河商人", "黑洞探险家", "白洞观测者", "量子幽灵", "暗物质猎手", "反物质学者", "超弦理论家",
            "神话缔造者", "传说终结者", "史诗谱写者", "传奇见证者", "不朽者", "永生者", "转世者", "轮回者",
            "天外来客", "地心访客", "深海来客", "极地来客", "沙漠行者", "丛林猎手", "雪山隐士", "草原游牧",
            "城市猎人", "废土幸存", "末日使者", "新纪元开创者", "文明守护者", "知识传承者", "智慧化身", "力量象征",
            "福音战士","超电磁炮"
    };

    public static String getNickName() {
        Random random = new Random();
        int prefixIndex = random.nextInt(PREFIXES.length);
        int suffixIndex = random.nextInt(SUFFIXES.length);
        return PREFIXES[prefixIndex] + SUFFIXES[suffixIndex];
    }
}
