package com.fs.live.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播间礼物配置对象 live_gift
 *
 * @author fs
 * @date 2025-07-08
 */
@Data
public class LiveGift{

    /** 礼物唯一标识 */
    private Long giftId;

    /** 礼物名称 */
    @Excel(name = "礼物名称")
    private String giftName;

    /** 礼物描述 */
    @Excel(name = "礼物描述")
    private String description;

    /** 礼物图标链接地址 */
    @Excel(name = "礼物图标链接地址")
    private String iconUrl;

    /** 礼物价格 */
    @Excel(name = "礼物价格")
    private BigDecimal price;

    /** 礼物当前状态 */
    @Excel(name = "礼物当前状态")
    private String status;


}
