package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播抽奖记录对象 live_lottery_product_conf
 *
 * @author fs
 * @date 2025-07-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveLotteryProductConf extends BaseEntity{

    /** ID */
    private Long id;

    /** 抽奖ID */
    @Excel(name = "抽奖ID")
    private Long lotteryId;

    /** 直播间ID */
    @Excel(name = "直播间ID")
    private Long liveId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** 奖品等级 */
    @Excel(name = "奖品等级")
    private Long prizeLevel;

    /** 单次中奖商品数量 */
    @Excel(name = "单次中奖商品数量")
    private Long perLotteryNum;

    /** 奖励总份数 */
    @Excel(name = "奖励总份数")
    private Long totalLots;

    /** 实际发放奖励份数 */
    @Excel(name = "实际发放奖励份数")
    private Long totalSend;


}
