package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 用户直播收藏对象 live_user_favorite
 *
 * @author fs
 * @date 2025-07-11
 */
@Data
public class LiveUserFavorite{

    /** 收藏id */
    private Long favoriteId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 课程id */
    @Excel(name = "课程id")
    private Long liveId;

    /** 店铺id*/
    @Excel(name = "店铺id")
    private Long storeId;

    /** 商品id*/
    @Excel(name = "商品id")
    private Long productId;

    /** 创建时间*/
    @Excel(name = "创建时间")
    private Date createTime;

    /** 更新时间*/
    @Excel(name = "更新时间")
    private Date updateTime;


}
