package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 用户直播赞对象 live_user_like
 *
 * @author fs
 * @date 2025-07-11
 */
@Data
public class LiveUserLike{

    /** 点赞id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 直播id */
    @Excel(name = "直播id")
    private Long liveId;

    /** 创建时间*/
    @Excel(name = "创建时间")
    private Date createTime;

    /** 更新时间*/
    @Excel(name = "更新时间")
    private Date updateTime;


}
