package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播用户中奖记录对象 live_user_lottery_record
 *
 * @author fs
 * @date 2025-07-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveUserLotteryRecord extends BaseEntity{

    /** $column.columnComment */
    private Long id;

    /** 抽奖ID */
    @Excel(name = "抽奖ID")
    private Long lotteryId;

    /** 直播间ID */
    @Excel(name = "直播间ID")
    private Long liveId;

    /** 中奖用户ID */
    @Excel(name = "中奖用户ID")
    private Long userId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;


}
