package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播用户红包记录对象 live_user_red_record
 *
 * @author fs
 * @date 2025-07-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveUserRedRecord extends BaseEntity{

    /** $column.columnComment */
    private Long id;

    /** 抽奖ID */
    @Excel(name = "抽奖ID")
    private Long redId;

    /** 直播间ID */
    @Excel(name = "直播间ID")
    private Long liveId;

    /** 中奖用户ID */
    @Excel(name = "中奖用户ID")
    private Long userId;

    /** 芳华币数量 */
    @Excel(name = "芳华币数量")
    private Long integral;




}
