package com.fs.qw.param.sidebar;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 侧边栏-标签列表-入参
 */
@Data
@ApiModel
public class TagGroupListParam {

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "标签名称")
    private String tagName;


}
