package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

@Data
public class QwUserVO {
    private Long id;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private String qwUserId;

    private String qwUserName;

    private String department;

    private String departmentName;

    private String corpName;
    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 公司员工id */
    @Excel(name = "公司员工id")
    private Long companyUserId;

    /** 企微id */
    @Excel(name = "企微id")
    private String corpId;
    private String appKey;

    @Excel(name = "企微")
    private Integer status;

    @Excel(name = "企微")
    private Integer isDel;

    private String nickName;
    private String userName;
    private String welcomeText;
    private Integer isSendMsg;
    /**
    * 活码id
    */
    private String configId;
    /**
    * 联系我
    */
    private String contactWay;
    /**
    * AI客服角色名
    */
    private String fastGptRoleName;

    /**
    * 登录状态
    */
    private Integer loginStatus;
    private Integer toolStatus;
    /**
    * 云主机地址
    */
    private String loginCodeUrl;
    /**
     * 插件版本号
     */
    private String version;

    private String vid;
    private String uid;

    private Integer ipadStatus;
    private Long serverId;
    private Integer serverStatus;

    /**
     * 是否自动发课 00、禁用，01、启用
     */
    private String isAuto;
}
