package com.fs.wxwork.dto;

import lombok.Data;

/**
 * 发送CDN图片消息 DTO
 *
 * @author xdd
 * @date 2025-02-27
 */
@Data
public class WxwSendCDNImgMsgDTO {

    /**
     * 每个实例的唯一标识，根据uuid操作具体企业微信
     */
    private String uuid;

    /**
     * 要发送的人或群id
     */
    private Long send_userid;

    /**
     * 是否是群消息
     */
    private Boolean isRoom;

    /**
     * cdnkey
     */
    private String cdnkey;

    /**
     * aeskey
     */
    private String aeskey;

    /**
     * md5
     */
    private String md5;

    /**
     * 文件大小
     */
    private Integer fileSize;
    private Integer width;
    private Integer height;
    private Integer mid_image_size;
    private Integer thumb_image_width;
    private Integer thumb_image_height;
    private Integer thumb_file_size;
    private String thumb_file_md5;
}
