package com.fs.app.annotation;


import com.fs.his.enums.FsUserOperationEnum;

import java.lang.annotation.*;


@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface UserOperationLog {
    /** 操作类型，比如 "新增", "删除", "更新", "查询" */
    FsUserOperationEnum operationType();

    /** 操作详情（可选） */
    String detail() default "";
}
