package com.fs.app.controller;


import com.fs.app.task.QwMsgTask;
import com.fs.common.core.redis.RedisCache;
import com.fs.course.mapper.FsCourseWatchLogMapper;
import com.fs.course.service.*;
import com.fs.qw.mapper.QwExternalContactMapper;
import com.fs.qw.service.IQwExternalContactService;
import com.fs.sop.mapper.QwSopLogsMapper;
import com.fs.sop.mapper.QwSopMapper;
import com.fs.sop.mapper.SopUserLogsMapper;
import com.fs.sop.service.IQwSopLogsService;
import com.fs.sop.service.IQwSopTempRulesService;
import com.fs.sop.service.IQwSopTempVoiceService;
import com.fs.sop.service.ISopUserLogsService;
import com.fs.system.service.ISysConfigService;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api("公共接口")
@RestController
@RequestMapping(value="/app/common")
@Slf4j
public class CommonController {

    @Autowired
    private QwMsgTask qwMsgTask;

    @GetMapping("/msg")
    public void msg() throws InterruptedException {
        qwMsgTask.sendMsg();
    }
}
