package com.fs.app.controller;

import com.fs.app.annotation.Login;
import com.fs.live.param.RedPO;
import com.fs.live.service.ILiveRedConfService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/app/live/liveRed")
public class LiveRedController extends AppBaseController{

    @Autowired
    private ILiveRedConfService liveRedConfService;

    /**
     * 领取红包
     * */
    @Login
    @PostMapping("/claim")
    public boolean claim(@RequestBody RedPO red) {
        red.setUserId(Long.parseLong(getUserId()));
        return liveRedConfService.claimRedPacket(red);
    }

}
