package com.fs.course.config;

import lombok.Data;

@Data
public class CourseMaConfig {

    /**
     * 设置微信小程序的名称
     */
    private String name;

    /**
     * 设置微信小程序的appid
     */
    private String appid;

    /**
     * 设置微信小程序的Secret
     */
    private String secret;

    /**
     * 设置微信小程序消息服务器配置的token
     */
    private String token;

    /**
     * 设置微信小程序消息服务器配置的EncodingAESKey
     */
    private String aesKey;

    /**
     * 消息格式，XML或者JSON
     */
    private String msgDataFormat;

    /**
     * 类型 1小程序 2公众号
     */
    private String type;

    /**
     * 小程序log
     */
    private String log;

    /**
     * 小程序原始ID
     */
    private String username;

}
