package com.fs.his.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 用户操作日志对象 fs_user_operation_log
 *
 * @author fs
 * @date 2025-07-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FsUserOperationLog extends BaseEntity{

    private Long logId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private String operationType;

    /** 详情 */
    @Excel(name = "详情")
    private String details;

    @Excel(name = "参数")
    private String param;


}
