package com.fs.his.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class BaseParam implements Serializable {
    @ApiModelProperty(value = "页码,默认为1")
    @TableField(exist = false)
    private Integer pageNum =1;
    @ApiModelProperty(value = "页大小,默认为10")
    @TableField(exist = false)
    private Integer pageSize = 10;
    @TableField(exist = false)
    private String keyword;
}
