package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 售后子对象 live_after_sales_item
 *
 * @author fs
 * @date 2025-07-08
 */
@Data
public class LiveAfterSalesItem{

    /** 主键id */
    private Long id;

    /** 售后id */
    @Excel(name = "售后id")
    private Long afterSalesId;

    /** 直播商品ID */
    @Excel(name = "直播商品ID")
    private Long goodsId;

    /** 商品id */
    @Excel(name = "商品id")
    private Long productId;

    /** 退货东西的详情信息 */
    @Excel(name = "退货东西的详情信息")
    private String jsonInfo;

    /** 逻辑删除 */
    @Excel(name = "逻辑删除")
    private Integer isDel;

    /** $column.columnComment */
    @Excel(name = "逻辑删除")
    private Long productAttrValueId;


}
