package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播抽奖记录对象 live_lottery_record
 *
 * @author fs
 * @date 2025-07-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveLotteryRecord extends BaseEntity{

    /** 抽奖ID */
    private Long lotteryId;

    /** 直播间ID */
    @Excel(name = "直播间ID")
    private Long liveId;

    /** 抽奖状态 0:未开始 1:进行中 2:已结束 */
    @Excel(name = "抽奖状态 0:未开始 1:进行中 2:已结束")
    private Long lotteryStauts;



}
