package com.fs.live.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 直播抽奖登记对象 live_lottery_registration
 *
 * @author fs
 * @date 2025-07-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveLotteryRegistration extends BaseEntity{

    /** 登记ID */
    @Excel(name = "登记ID")
    private Long registrationId;

    /** 直播间ID */
    @Excel(name = "直播间ID")
    private Long liveId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 是否中奖 0否1是 */
    @Excel(name = "是否中奖 0否1是")
    private Long isWin;

    /** 奖品等级 */
    @Excel(name = "奖品等级")
    private Long rizeLevel;




}
