package com.fs.live.param;

import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 直播抽奖配置对象 live_lottery_conf
 *
 * @author fs
 * @date 2025-07-17
 */
@Data
public class LiveLotteryProduct{
    /** 商品ID */
    private Long productId;

    /** 奖品等级 */
    private Long prizeLevel;

    /** 单次中奖商品数量 */
    private Long perLotteryNum;

    /** 奖励总份数 */
    private Long totalLots;

    /** 实际发放奖励份数 */
    private Long totalSend;



}
