package com.fs.live.vo;

import com.baidu.dev2.thirdparty.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class ColumnsConfigVo {
    //数据库字段名
    @JsonProperty("dataIndex")
    private String dataIndex;
    //状态ENABLE启用DISABLE禁用
    @JsonProperty("status")
    private String status = "ENABLE";
    //字段中文名
    @JsonProperty("title")
    private String title;
    public ColumnsConfigVo() {}
    // 构造函数
    public ColumnsConfigVo(String dataIndex, String title, String status) {
        this.dataIndex = dataIndex;
        this.title = title;
        this.status = status;
    }
}
