package com.fs.live.vo;

import com.fs.common.core.domain.BaseEntity;
import com.fs.live.param.LiveLotteryProduct;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 直播抽奖配置对象 live_lottery_conf
 *
 * @author fs
 * @date 2025-07-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveLotteryProductVO extends BaseEntity{

    /** ID */
    private Long id;

    /** 抽奖ID */
    private Long lotteryId;

    /** 直播间ID */
    private Long liveId;

    /** 商品列表 */
    List<LiveLotteryProduct> prizes;

}
