package com.fs.live.vo;

import lombok.Data;

import java.util.List;

@Data
public class TrendDataVO {
    private Integer views;  // 浏览量
    private Integer visitors;  // 访客数
    private Integer streams;  // 创建直播数
    private Integer pv;  // 累计观看人次
    private Integer uv;  // 累计观看人数

    private Double viewsChange;  // 浏览量变化百分比
    private Double visitorsChange;  // 访客数变化百分比
    private Double streamsChange;  // 创建直播数变化百分比
    private Double pvChange;  // 累计观看人次变化百分比
    private Double uvChange;  // 累计观看人数变化百分比

    //上一周期的数据
    private Integer prevViews;  // 浏览量
    private Integer prevVisitors;  // 访客数
    private Integer prevStreams;  // 创建直播数
    private Integer prevPv;  // 累计观看人次
    private Integer prevUv;  // 累计观看人数


    private List<String> dates;  // 日期（天/周/月）
    private List<Integer> data;  // 对应日期的数据
}
