package com.fs.qw.param.sidebar;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotNull;

/**
 * 侧边栏-外部联系人编辑信息-入参
 */
@Data
@ApiModel
public class ExternalContactInfoParam {

    @ApiModelProperty(value = "外部联系人id")
    @NotNull(message = "外部联系人id不能为空")
    private Long qwExternalContactId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "描述")
    private String remark;

    @ApiModelProperty(value = "性别")
    private Integer gender;

    @ApiModelProperty(value = "电话")
    private String phone;

}
