package com.fs.qw.param.sidebar;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 侧边栏-标签列表-入参
 */
@Data
@ApiModel
public class TagGroupUpdateParam {

    @ApiModelProperty(value = "外部联系人id")
    @NotNull(message = "外部联系人id不能为空")
    private Long qwExternalContactId;

    @ApiModelProperty(value = "标签ids")
    List<String> tagIds;

}
