package com.fs.qw.vo.sidebar;


import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * 外部联系人的所属企微-出参
 */
@Data
public class ExternalContactQwUserVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 企微用户id
     */
    @Excel(name = "企微用户id")
    private String qwUserId;

    /**
     * 企微用户名
     */
    @Excel(name = "企微用户名")
    private String qwUserName;

    /**
     * 所属部门id
     */
    @Excel(name = "所属部门id")
    private String department;

    /**
     * 公司id
     */
    @Excel(name = "公司id")
    private Long companyId;

    /**
     * 公司员工id
     */
    @Excel(name = "公司员工id")
    private Long companyUserId;

    /**
     * 公司名称
     */
    @Excel(name = "公司名称")
    private String companyName;

    /**
     * 销售昵称
     */
    @Excel(name = "销售昵称")
    private String companyUserName;

}
